"""
Utility methods for the Spotify query API
"""
from typing import AsyncIterable

from spotify import Album, Client


async def search_album(client: Client, search_str: str) -> AsyncIterable[Album]:
    "Search for a specific album by name"
    results = await client.search(search_str, types=["album"])
    for album in results.albums:
        yield album
